#ifndef STRBUFF_H
#define STRBUFF_H

#include "alloc.h"

#ifndef DEFAULT_BUFSIZE
#define DEFAULT_BUFSIZE (4096)
#endif

typedef struct dw_strbuff {
	char *outdata;
	char *outptr;
	unsigned int buffsize;
	struct pool *pool; /* for ap_palloc */
} dw_strbuff;

void dw_strwrite(dw_strbuff *sb, const char *out, int nbyte);
void dw_strwritec(dw_strbuff *sb, char c);

#endif /* STRBUFF_H */
